<?php

global $post, $eventbrite_music;
$settings   = $eventbrite_music->get_options();
$events     = ( $ebApiData->get_events() ) ? $ebApiData->get_events()  : [];
$eventCount = count($ebApiData->get_events());

extract( wp_parse_args( $atts, [
	'imagesize'          => 'xlarge1',
	'timezone'           => '',
	'dateformat'         => 'D n/d',
	'exclude'            => '',
	'num'                => '4',
	'linktarget'         => true,
	'template'           => '',
	'loop'               => 'true',
	'mousedrag'          => 'true',
	'autoheight'         => 'true',
	'autoplay'           => 'true',
	'autoplaytimeout'    => '5000',
	'autoplayhoverpause' => 'true',
	'items'              => '1',
	'center'             => 'true',
	'startposition'      => '0',
	'dots'               => 'true',
	'nav'                => 'true',
	'margin'             => '0',
	'stagepadding'       => '0',
	'responsiveclass'    => 'true',
	'include'            => '',
] ) );

echo '
<script>
    var excludeOptions = ' . wp_json_encode( $exclude ) . ';
    var dateFormat  = ' . wp_json_encode( $dateformat ) . ';
    var venueId  = ' . wp_json_encode( $venue ) . ';
    var orgId  = ' . wp_json_encode( $org ) . ';
</script>
    ';

$exclude = explode( ",", $exclude );
$include = explode( ",", $include );

?>

	<article id="eb-featured-events">

		<section class="owl-carousel owl-theme images">

			<?php

			if ( is_integer( $eventCount ) && ( $eventCount > 0 ) ) {

				$templPathList = eb_locate_template( '/carousel-item' );
				foreach ( $events as $count => $event ) {
					$urlVars       = eb_getInitialUrlVars( $event );
					$templPath     = $templPathList;
					$templateClass = 'carousel';
					$urlClasses    = 'event-url';
					require( dirname( __FILE__ ) . '/event-data-values.php' );
					$performers         = new Performers();
					$performancesMarkup = $performers->build_carousel_eventName( $event, $edpUrl, $exclude );
					if ( ! empty( $templPath ) ) {
						require $templPath;
					}
					$urlVars = null;
				} // end event loop ?>
				<?php

			}

			?>

		</section><!-- .owl-carousel -->

	</article><!-- #eb-featured-events -->

<?php

if ( is_integer( $eventCount ) && ( $eventCount >= 1 ) && ( ! in_array( "owljs", $exclude, true ) ) ) {
	$options = [
		$loop,
		$mousedrag,
		$autoheight,
		$autoplay,
		$autoplaytimeout,
		$autoplayhoverpause,
		$items,
		$center,
		$startposition,
		$dots,
		$nav,
		$margin,
		$stagepadding,
		$responsiveclass,
	];
	eb_owlcarousel( $options );
}