<?php
require_once 'performers/Performers_View_Model.php';
require_once 'performers/Performer_Options.php';

global $post;
$event        = ( $post->eb_event ) ? $post->eb_event : [];
$eventdesc    = ( $post->description ) ? $post->description : [];
$performances = ( $post->performances ) ? $post->performances : [];

function get_artist_markup($event, $atts) {
	$options    = new Performer_Options( $atts );
	$performers = new Performers_View_Model( $event, $options );
	ob_start();
	include('performers/artist_template.php');
	$output = ob_get_clean();
	return $output;
}


extract( wp_parse_args( $atts, [
	'timezone'        => '',
	'dateformat'      => 'D, F j, Y', //'%a, %B %e, %Y'
	'timeformat'      => '',
	'exclude'         => '',
	'include'         => '',
	'share'           => 'default',
	'calsync'         => 'off',
	'linktarget'      => true,
	'eventid'         => '',
	'imagesize'       => 'large',
	'performerslabel' => 'Performers: ',
	'bioimagesize'    => 'square',
] ) );

$exclude = explode( ",", $exclude );
$include = explode( ",", $include );
$BIO_LEN = 500;
$artistMarkup = get_artist_markup($event, $atts);
$eventSumDesc_markup = ! in_array( "description", $exclude, true ) ? $eventdesc->description : '';
$shareEventsMarkup   = ( ! in_array( "share", $exclude, true ) ) ? '<button aria-label="Share this event" type="button" 
                        class="share-social-button share-button eb-tooltip" data-target="share-modal">
                        <i class="ico-share"></i><span class="button-text">Share</span></button>'
															 . eb_shareEventMarkup( $event, $exclude ) : '';
$calSyncMarkup       = ( ( 'on' === $calsync ) || ( 'yes' === $calsync ) ) ? '<button type="button" class="share-cal-button share-button eb-tooltip" data-target="calendar-modal" aria-label="Add this event to your Calendar"><i class="ico-calendar"></i><span class="button-text">Add To Calendar</span></button>' . eb_calSyncMarkup( 'event', $event ) : '';

?>

<article class="event-detail<?php if ( isset( $event ) ) {
	echo esc_attr(' ' . eb_addClassIds( $event )); ?> vevent<?php 
							} ?>">
	<?php

	if ( isset( $event->id ) ) {
		date_default_timezone_set( $event->start->timezone );

		$templPathList = eb_locate_template( '/event-detail-item' );
		$urlVars       = eb_getInitialUrlVars( $event );
		$templPath     = $templPathList;
		$templateClass = 'eventdetail';
		$data_values = eb_locate_template( '/event-data-values' );
		if (!empty($data_values)) {
			require $data_values;
		}

		$performers         = new Performers();
		$performancesMarkup = $performers->build_EDP_Performers( $event, $performances, $exclude );

		if (!empty($templPath)) {
			require $templPath;
		}

		$urlVars = null;

		if ( 'default' === $timeformat ) {
			$searchExcludes = [ 'doorsdate', 'times', 'starttime', 'enddate' ];
			foreach ( $searchExcludes as $search_exclude ) {
				$index = array_search( $search_exclude, $exclude, true );
				if ( false !== $index ) {
					unset( $exclude[ $index ] );
				}
			}
		}

	} else { // endif $eb_id
		echo '<div class"error-message">Sorry, something went wrong. We could not find the event.</div>';
	}

	if ( function_exists( 'eb_venueInfo' ) && ! in_array( "venue-info", $exclude, true ) && $event->venue ) {
		echo wp_kses_post(eb_venueInfo( $event ));
	}

	?>
</article>
