<?php
global $post;

extract( wp_parse_args( $atts, [
	'timezone'   => '',
	'dateformat' => '%a %-m/%d', //'D n/d',
	'title'      => '',
	'venue_id'   => '',
	'errorMsg'   => '',
] ) );
?>

<div class="sidebar-list onsale">
	<?php if ( $title ) { ?>
		<h2><?php echo esc_html( $title ); ?></h2>
	<?php } ?>
	<ul><?php
	if ( ( $events->totalResults > 0 ) && ( eb_is_valid_field( $events->totalResults ) ) ) {
		foreach ( $events->events as $event ) {
			$urlVars = eb_getInitialUrlVars( $event );
			$url     = eb_URL( 'event', $event->id, '', $urlVars );
			$urlVars = null;
			date_default_timezone_set( $event->venue->timeZone ); ?>
				<li class="<?php echo esc_attr( eb_addClassIds( $event ) ); ?>">
					<a href="<?php esc_url( $url ); ?>">
						<?php echo esc_html( $event->name ); ?> -
						<?php if ( ! $event->hide_start_date ) { ?>
							<span class="date">
								<?php echo esc_html( eb_eventDate( $dateformat, strtotime( $event->startDate ) ) ); ?>
							</span>
						<?php } ?>
						<?php if ( eb_is_valid_field( $event->onSaleDate ) ) { ?>
							<?php if ( ( strtotime( date( 'Y-m-d' ) ) === strtotime( date(
								'Y-m-d',
								strtotime( $event->onSaleDate ) 
							) ) ) && ( strtotime( $event->onSaleDate ) < time() ) ) { ?>
								<span class="on-sale on-sale-now">
									<?php echo esc_html__( "On sale now", 'eventbrite' ); ?>
								</span>
							<?php } else { ?>
								<span class="on-sale">
									<?php echo sprintf(
										esc_html__( "On sale %s", 'eventbrite' ),
										esc_html( date( "n/d", strtotime( $event->onSaleDate ) ) ) 
									); ?>
								</span>
							<?php } ?>
						<?php } ?>
					</a></li>
		<?php } ?>
	<?php } else {
			echo '<li class="no-events">';
		if ( $errorMsg ) {
			echo esc_html( $errorMsg );
		} else {
			echo esc_html__( "No upcoming on sales. Check back soon.", 'eventbrite' );
		}
			echo '</li>';
	}
	?></ul>
</div>
