<?php

/**
 * Theme setup
 */
function eb_mobile_theme_setup() {
	// Enable plugins to manage the document title
	// http://codex.wordpress.org/Function_Reference/add_theme_support#Title_Tag
	add_theme_support( 'title-tag' );

	// Register wp_nav_menu() menus
	// http://codex.wordpress.org/Function_Reference/register_nav_menus
	register_nav_menus( [
		'primary_navigation' => __( 'Primary Navigation', 'sage' ),
	] );

	// Add HTML5 markup for captions
	// http://codex.wordpress.org/Function_Reference/add_theme_support#HTML5
	add_theme_support( 'html5', [ 'caption', 'comment-form', 'comment-list' ] );
}

add_action( 'after_setup_theme', 'eb_mobile_theme_setup' );

/**
 * Register sidebars
 */
function eb_mobile_widgets_init() {
	register_sidebar( [
		'name'          => __( 'Eventbrite Mobile Panel - Menu', 'ticketfly' ),
		'id'            => 'sidebar-99-tf-mobile',
		'before_widget' => '<section class="widget %1$s %2$s"><div class="widget-inner">',
		'after_widget'  => '</div></section>',
		'before_title'  => '<h3>',
		'after_title'   => '</h3>',
	] );
}

//add_action('widgets_init', 'tf_mobile_widgets_init', 15);
// need to use "init" hook, due to some plugins using that and not "widgets_init"
// which caused the sidebars to get blown out -> due to re-ordering them)
add_action( 'init', 'eb_mobile_widgets_init', 15 );


function eb_force_sidebar_order() {
	global $wp_registered_sidebars;

	if ( in_array( 'sidebar-99-tf-mobile', array_keys( $wp_registered_sidebars ), true ) ) {
		$maybeTFMobileSidbar = end( $wp_registered_sidebars );
		if ( $maybeTFMobileSidbar[ 'id' ] !== 'sidebar-99-tf-mobile' ) {
			$tfSidebar = $wp_registered_sidebars[ 'sidebar-99-tf-mobile' ];
			unset( $wp_registered_sidebars[ 'sidebar-99-tf-mobile' ] );
			$wp_registered_sidebars[ 'sidebar-99-tf-mobile' ] = $tfSidebar;
		}
	}
}
